# Class Credential

java.lang.Object
org.mariadb.jdbc.credential.Credential

public class Credential extends Object

## Constructor Summary

Constructors
Constructor
Description
`Credential(String user, String password)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPassword()`
`String`
`getUser()`
`void`
`setUser(String user)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Credential

public Credential(String user, String password)

## Method Details

### getUser

public String getUser()

### setUser

public void setUser(String user)

### getPassword

public String getPassword()